package de.mbutscher.wikiandpad.db;

@SuppressWarnings("serial")
public class WikiDataException extends Exception {

    public WikiDataException() {
        super();
    }

    public WikiDataException(String detailMessage, Throwable throwable) {
        super(detailMessage, throwable);
    }

    public WikiDataException(String detailMessage) {
        super(detailMessage);
    }

    public WikiDataException(String formatMessage, String... args) {
        super(String.format(formatMessage, (Object[]) args));
    }

    public WikiDataException(Throwable throwable) {
        super(throwable);
    }
}
