package de.mbutscher.wikiandpad.db;

@SuppressWarnings("serial")
public class WikiFileNotFoundException extends WikiDataException {

    public WikiFileNotFoundException() {
        super();
    }

    public WikiFileNotFoundException(String detailMessage, Throwable throwable) {
        super(detailMessage, throwable);
    }

    public WikiFileNotFoundException(String detailMessage) {
        super(detailMessage);
    }

    public WikiFileNotFoundException(String formatMessage, String... args) {
        super(String.format(formatMessage, (Object[]) args));
    }

    public WikiFileNotFoundException(Throwable throwable) {
        super(throwable);
    }

}
