package de.mbutscher.wikiandpad.utils.ui;

import android.app.Activity;

public class ActivityGuiHelper<AC extends Activity>
        extends AbstractGuiHelper<AC>{

    protected AC activity;

    public ActivityGuiHelper(AC activity) {
        this.activity = activity;
    }
    
    @SuppressWarnings("unchecked")
    @Override
    public <T extends AC> T getActivity() {
        return (T) activity;
    }

    public void setOnClickListener(int id, String listenerMethodName) {
        setOnClickListener(activity, activity.findViewById(id),
                listenerMethodName);
    }

}
