package de.mbutscher.wikiandpad;

/**
 * Should never happen. Indicates a logical error in the program.
 * @author Michael Butscher
 *
 */
@SuppressWarnings("serial")
public class BadProgrammingException extends RuntimeException {

    public BadProgrammingException() {
        super();
    }

    public BadProgrammingException(String detailMessage, Throwable throwable) {
        super(detailMessage, throwable);
    }

    public BadProgrammingException(String detailMessage) {
        super(detailMessage);
    }
    
    public BadProgrammingException(String formatMessage, String... args) {
        super(String.format(formatMessage, (Object[]) args));
    }
    
    public BadProgrammingException(Throwable throwable) {
        super(throwable);
    }
}
