package de.mbutscher.wikiandpad.parsing;

/**
 * exception thrown when parse expressions don't match class.
 * This exception is thrown very often during parsing. Maybe it will
 * removed later because throwing exceptions in Java is more costly
 * than in Python.
 *
 */
@SuppressWarnings("serial")
public class ParseException extends ParseBaseException {
    public ParseException(String pstr, int loc, String msg,
            ParserElement parserElement) {
        super(pstr, loc, msg, parserElement);
    }
    public ParseException(String pstr, int loc, String msg) {
        this(pstr, loc, msg, null);
    }
}
