package de.mbutscher.wikiandpad.utils;

public interface Stringifier<T> {
    public String toString(T object);
    
    public static class Default<T> implements Stringifier<T> {
        public String toString(T object) {
            return object.toString();
        }
    }
    
    public final Default<Object> DEFAULT = new Default<Object>();
}
